<?php
/**
 * Sample implementation of the Custom Header feature
 * @package Home Construction Builder
 */

/**
 * Set up the WordPress core custom header feature.
 *
 * @uses home_construction_builder_header_style()
 */
function home_construction_builder_custom_header_setup()
{
    add_theme_support('custom-header',
        apply_filters('home_construction_builder_custom_header_args', array(
            'default-image' => '',
            'default-text-color' => '000000',
            'width' => 1920,
            'height' => 400,
            'flex-height' => true,
            'flex-width' => true,
            'wp-head-callback' => 'home_construction_builder_header_style',
        )));
}

add_action('after_setup_theme', 'home_construction_builder_custom_header_setup');

if (!function_exists('home_construction_builder_header_style')) :
    /**
     * Styles the header image and text displayed on the blog
     *
     * @see home_construction_builder_custom_header_setup().
     */
    function home_construction_builder_header_style()
    {
        $home_construction_builder_header_text_color = get_header_textcolor();

        if (get_theme_support('custom-header', 'default-text-color') === $home_construction_builder_header_text_color) {
            return;
        }

        ?>
        <style type="text/css">
            <?php
                if ( 'blank' == $home_construction_builder_header_text_color ) :
            ?>
            .header-titles .custom-logo-name,
            .site-description {
                display: none;
                position: absolute;
                clip: rect(1px, 1px, 1px, 1px);
            }

            <?php
                else :
            ?>
            .header-titles .custom-logo-name:not(:hover):not(:focus),
            .site-description {
                color: #<?php echo esc_attr( $home_construction_builder_header_text_color ); ?>;
            }

            <?php endif; ?>
        </style>
        <?php
    }
endif;